
function intPlayer()
	player = {
		x = w / 2,
		y = h / 2,
		angle = 180,
		size = 20,
		speed = 10,
		turnSpeed = 5000	
	}
end

function movePlayer(dTime)
	player.x = player.x + math.cos(math.rad(player.angle) * player.speed * dTime)	
	player.y = player.y + math.sin(math.rad(player.angle) * player.speed * dTime)
end

function rotatePlayer(key, dTime)
	if key == "right" then
		player.angle = player.angle + player.turnSpeed * dTime
	elseif key == "left" then
		player.angle = player.angle - player.turnSpeed * dTime
	end
end

function drawPlayer()
	love.graphics.setColor(255,255,255)
	love.graphics.polygon("fill",
		player.x + 
		player.size, 
		player.y +
		player.size, 
		player.x, 
		player.y - 
		player.size,
		player.x - 
		player.size,
		player.y + 
		player.size
	)
	love.graphics.print(player.angle, 300, 300)

end

