require("mlib")

function intProjectiles()
	projectiles = {}
	projectileSpeed = 500
end

function moveProjectiles(dTime)
	if projectiles ~= nil then -- make sure the table is not nil
		for i, v in ipairs(projectiles) do --v = value AKA the current projectile
			v["x"] = v["x"] + v["dx"] * dTime
			v["y"] = v["y"] + v["dy"] * dTime
		end
	end
end

function fireProjectile()   
    local angle = math.atan2((my - player.y), (mx- player.x))
   
    local projectiledX = projectileSpeed * math.cos(angle) --projectile direction X
    local projectiledY = projectileSpeed * math.sin(angle) 

	table.insert(projectiles, {x = player.x, y = player.y, dx = projectiledX, dy = projectiledY})
end

function drawProjectiles()
	if projectiles ~= nil then		-- make sure the table is not nil
		for i, v in ipairs(projectiles) do
			love.graphics.setColor(128, 128, 128)
			love.graphics.circle("fill", v["x"], v["y"], 2)
		end
	end
end
